Bug 1391164 - RFE: Add support for XattrMapping
Summary: RFE: Add support for XattrMapping
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ntfs-3g
Version: 24
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-02 17:10 UTC by Andreas G
Modified: 2016-11-24 08:24 UTC (History)
2 users (show)

Fixed In Version: ntfs-3g-2016.2.22-3.fc24 ntfs-3g-2016.2.22-3.el6 ntfs-3g-2016.2.22-3.el7 ntfs-3g-2016.2.22-3.fc25 ntfs-3g-2016.2.22-3.fc23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-07 23:26:08 UTC


Attachments (Terms of Use)

Description Andreas G 2016-11-02 17:10:39 UTC
XattrMapping is needed for some basic backup operation, for example to sync two NTFS-Volumes without messing up the Windows ACLs or NTFS Attributes with 'rsync -X' or 'cp –preserve=xattr'.
http://www.tuxera.com/community/ntfs-3g-advanced/extended-attributes/

When i try to mount some NTFS Volume with the option xattrmapping=.NTFS-3G/XattrMapping, it says:
'xattrmapping' is an unsupported option.

It is working fine on other distributions, so i guess that ntfs-3g is compiled without '–enable-xattr-mappings'.

Could you add support for that?

Thanks, 
uriesk


Version-Release number of selected component (if applicable):
FC24
ntfs-3g 2016.2.22 integrated FUSE 27

Comment 1 Fedora Update System 2016-11-02 20:08:14 UTC
ntfs-3g-2016.2.22-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ad931b26a7

Comment 2 Fedora Update System 2016-11-02 20:08:21 UTC
ntfs-3g-2016.2.22-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3338fd2449

Comment 3 Fedora Update System 2016-11-02 20:08:26 UTC
ntfs-3g-2016.2.22-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a1436d04f5

Comment 4 Fedora Update System 2016-11-02 20:08:30 UTC
ntfs-3g-2016.2.22-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8717b05351

Comment 5 Fedora Update System 2016-11-02 20:08:34 UTC
ntfs-3g-2016.2.22-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6acb5c3dcb

Comment 6 Fedora Update System 2016-11-04 17:20:55 UTC
ntfs-3g-2016.2.22-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a1436d04f5

Comment 7 Fedora Update System 2016-11-04 17:23:06 UTC
ntfs-3g-2016.2.22-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8717b05351

Comment 8 Fedora Update System 2016-11-05 03:33:30 UTC
ntfs-3g-2016.2.22-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ad931b26a7

Comment 9 Fedora Update System 2016-11-05 03:51:19 UTC
ntfs-3g-2016.2.22-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6acb5c3dcb

Comment 10 Fedora Update System 2016-11-05 18:57:32 UTC
ntfs-3g-2016.2.22-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3338fd2449

Comment 11 Fedora Update System 2016-11-06 01:52:41 UTC
ntfs-3g-2016.2.22-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6acb5c3dcb

Comment 12 Fedora Update System 2016-11-07 23:26:08 UTC
ntfs-3g-2016.2.22-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-11-19 09:50:39 UTC
ntfs-3g-2016.2.22-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-11-19 12:48:58 UTC
ntfs-3g-2016.2.22-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-11-19 21:09:07 UTC
ntfs-3g-2016.2.22-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-11-24 08:24:18 UTC
ntfs-3g-2016.2.22-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.